## com.google.appengine.api.files
Class FinalizationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.google.appengine.api.files.FinalizationException

All Implemented Interfaces:
  java.io.Serializable

    public class FinalizationException

extends java.io.IOException

An `Exception` that indicates that a file is in the wrong finalization state. This occurs if an attempt is made to write to a file that has already been finalized or to read from a file that has not yet been finalized.

See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`